Package org.eclipse.jface.contentassist

## Class SubjectControlContextInformationValidator

- java.lang.Object
- - org.eclipse.jface.contentassist.SubjectControlContextInformationValidator

All Implemented Interfaces:
  `ISubjectControlContextInformationValidator`, `IContextInformationValidator`

    @Deprecated
    public final class SubjectControlContextInformationValidator
    extends Object
    implements ISubjectControlContextInformationValidator

Deprecated.
As of 3.2, replaced by Platform UI's field assist support
A default implementation of the `SubjectControlContextInformationValidator` interface. This implementation determines whether the information is valid by asking the content assist processor for all context information objects for the current position. If the currently displayed information is in the result set, the context information is considered valid.

Since:
  3.0

### Constructor Summary

Constructors
`SubjectControlContextInformationValidator​(IContentAssistProcessor processor)` Deprecated. Creates a new context information validator which is ready to be installed on a particular context information.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`void` `install​(IContextInformation contextInformation, IContentAssistSubjectControl contentAssistSubjectControl, int offset)` Deprecated. Installs this validator for the given context information.
`void` `install​(IContextInformation contextInformation, ITextViewer viewer, int offset)` Deprecated. Installs this validator for the given context information.
`boolean` `isContextInformationValid​(int offset)` Deprecated. Returns whether the information this validator is installed on is still valid at the given document position.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SubjectControlContextInformationValidator

    public SubjectControlContextInformationValidator​(IContentAssistProcessor processor)

Deprecated.
Creates a new context information validator which is ready to be installed on a particular context information.

Parameters:
  `processor` - the processor to be used for validation

### Method Detail

#### install

    public void install​(IContextInformation contextInformation,
                        ITextViewer viewer,
                        int offset)

Deprecated.
Description copied from interface: `IContextInformationValidator`
Installs this validator for the given context information.

Specified by:
  `install` in interface `IContextInformationValidator`
Parameters:
  `contextInformation` - the context information which this validator should check
  `viewer` - the text viewer on which the information is presented
  `offset` - the document offset for which the information has been computed

#### install

    public void install​(IContextInformation contextInformation,
                        IContentAssistSubjectControl contentAssistSubjectControl,
                        int offset)

Deprecated.
Description copied from interface: `ISubjectControlContextInformationValidator`
Installs this validator for the given context information.

Specified by:
  `install` in interface `ISubjectControlContextInformationValidator`
Parameters:
  `contextInformation` - the context information which this validator should check
  `contentAssistSubjectControl` - the content assist subject control
  `offset` - the document offset for which the information has been computed

#### isContextInformationValid

    public boolean isContextInformationValid​(int offset)

Deprecated.
Description copied from interface: `IContextInformationValidator`
Returns whether the information this validator is installed on is still valid at the given document position.

Specified by:
  `isContextInformationValid` in interface `IContextInformationValidator`
Parameters:
  `offset` - the current offset within the document
Returns:
  `true` if the information also valid at the given document position